using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics.Eventing.Reader;
using System.Linq;
using System.Runtime.InteropServices;
using System.Runtime.InteropServices.ComTypes;
using System.Text;
using System.Threading.Tasks;

namespace bau
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            bool p = false;
            for (int i = 0; i < n; i++)
            {
                int x = int.Parse(s[i]);
                if (x <= l)
                {
                    p = true;
                    Console.WriteLine(i + 1);
                    break;
                }
            }
            if (!p)
                Console.WriteLine("-1");
        }
    }
}